| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions | Public Attributes
AAX_IEffectDirectData Class Reference
AAX SDK Manual » Additional AAX features » Direct data access interface

`#include <AAX_IEffectDirectData.h>`

Inheritance diagram for AAX_IEffectDirectData:
[legend]
Collaboration diagram for AAX_IEffectDirectData:
[legend]

## Description

The interface for a AAX Plug-in's direct data interface.

:Implemented by the Plug-In:

This is the interface for an instance of a plug-in's direct data interface that gets exposed to the host application. A plug-in needs to inherit from this interface and override all of the virtual functions to support direct data access functionality.

Direct data access allows a plug-in to directly manipulate the data in its algorithm's private data blocks. The callback methods in this interface provide a safe context from which this kind of access may be attempted.

Note
  This class always inherits from the latest version of the interface and thus requires any subclass to implement all the methods in the latest version of the interface.
  See AAX_IACFEffectDirectData for further information.

## Public Member Functions
| ACF_DECLARE_STANDARD_UNKNOWN () ACFMETHOD(InternalQueryInterface)(const acfIID &riid
| AAX_DELETE (AAX_IEffectDirectData &operator=(const AAX_IEffectDirectData &))
Public Member Functions inherited from AAX_IACFEffectDirectData_V2
virtual AAX_Result | NotificationReceived (AAX_CTypeID inNotificationType, const void *inNotificationData, uint32_t inNotificationDataSize)=0
| Notification Hook.
Public Member Functions inherited from AAX_IACFEffectDirectData
virtual AAX_Result | Initialize (IACFUnknown *iController)=0
| Main initialization.
virtual AAX_Result | Uninitialize ()=0
| Main uninitialization.
virtual AAX_Result | TimerWakeup (IACFUnknown *iDataAccessInterface)=0
| Periodic wakeup callback for idle-time operations.
Public Member Functions inherited from IACFUnknown
virtual BEGIN_ACFINTERFACE ACFRESULT ACFMETHODCALLTYPE | QueryInterface (const acfIID &iid, void **ppOut)=0
| Returns pointers to supported interfaces.
virtual acfUInt32 ACFMETHODCALLTYPE | AddRef (void)=0
| Increments reference count.
virtual acfUInt32 ACFMETHODCALLTYPE | Release (void)=0
| Decrements reference count.

## Public Attributes
void **ppvObjOut | override

## Member Function Documentation

## ◆ ACF_DECLARE_STANDARD_UNKNOWN()

AAX_IEffectDirectData::ACF_DECLARE_STANDARD_UNKNOWN | ( |  | ) | const &

## ◆ AAX_DELETE()

AAX_IEffectDirectData::AAX_DELETE | ( | AAX_IEffectDirectData & | operator = `(const AAX_IEffectDirectData &)` | ) |

## Member Data Documentation

## ◆ override

void** ppvObjOut AAX_IEffectDirectData::override

The documentation for this class was generated from the following file:

- AAX_IEffectDirectData.h